<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg">

    <com.android.chmo.ui.view.TopBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:topTitle="活动报名" />
    <com.android.chmo.ui.view.TouchScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:fillViewport="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/image"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:scaleType="centerCrop"
                android:src="@mipmap/def_img2" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="15dp">

                <TextView
                    android:id="@+id/atitle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="15dp"
                    android:gravity="center"
                    android:text="标题"
                    android:textColor="@color/pink"
                    android:textSize="16sp" />


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="18dp"
                    android:paddingRight="18dp"
                    android:paddingTop="12dp"
                    android:orientation="horizontal"
                    android:gravity="center_vertical">
                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="15dp"
                        android:textSize="15sp"
                        android:textColor="@color/black"
                        android:text="姓       名："/>

                    <EditText
                        android:id="@+id/joinMember"
                        style="@style/InputStyle"
                        android:layout_height="40dp"
                        android:maxLines="1"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="18dp"
                    android:paddingRight="18dp"
                    android:paddingTop="12dp"
                    android:orientation="horizontal"
                    android:gravity="center_vertical">
                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="15dp"
                        android:textSize="15sp"
                        android:textColor="@color/black"
                        android:text="联系方式："/>

                    <EditText
                        android:id="@+id/contact"
                        style="@style/InputStyle"
                        android:inputType="number"
                        android:maxLength="11"
                        android:layout_height="40dp"
                        android:maxLines="1"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingLeft="18dp"
                    android:paddingRight="18dp"
                    android:paddingTop="12dp"
                    android:orientation="horizontal"
                    android:gravity="center_vertical">
                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="15dp"
                        android:textSize="15sp"
                        android:textColor="@color/black"
                        android:text="参与人数："/>


                    <ImageView
                        android:id="@+id/dec"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="8dp"
                        android:src="@mipmap/dec"/>
                    <TextView
                        android:id="@+id/count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@mipmap/count_input"
                        android:gravity="center"
                        android:textColor="@color/black"
                        android:textSize="14sp"
                        android:text="1"/>
                    <ImageView
                        android:id="@+id/add"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="8dp"
                        android:src="@mipmap/add"/>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="18dp"
                    android:orientation="horizontal"
                    android:gravity="center_vertical">
                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="15dp"
                        android:textSize="15sp"
                        android:textColor="@color/black"
                        android:text="费用："/>
                    <TextView
                        android:id="@+id/price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:textColor="@color/black"
                        android:text="180元/人"/>

                </LinearLayout>

                <View style="@style/line"/>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="18dp"
                    android:orientation="horizontal"
                    android:gravity="center_vertical">
                    <TextView
                        android:layout_width="80dp"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="15dp"
                        android:textSize="15sp"
                        android:textColor="@color/black"
                        android:text="总计："/>
                    <TextView
                        android:id="@+id/all_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:textColor="@color/black"
                        android:text="180元/人"/>

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:layout_marginTop="10dp"
                android:padding="18dp"
                android:orientation="vertical">
                <TextView
                    android:layout_width="80dp"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="15dp"
                    android:textSize="15sp"
                    android:textColor="@color/black"
                    android:text="说明："/>
                <TextView
                    android:id="@+id/instruction"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:textSize="13sp"
                    android:textColor="@color/black"
                    android:text="             一旦包名，相关成本已经列入活动预算，已经参与报名费用不退，敬请谅解！"/>

            </LinearLayout>
        </LinearLayout>
    </com.android.chmo.ui.view.TouchScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:background="@color/white"
        android:padding="20dp">
        <Button
            android:id="@+id/signBtn"
            style="@style/largeBtn"
            android:text="立即报名"/>
    </LinearLayout>
</LinearLayout>